Index: admin/tdomf-edit-form.php
===================================================================
--- admin/tdomf-edit-form.php	(revision 169181)
+++ admin/tdomf-edit-form.php	(working copy)
@@ -1,31 +1,32 @@
-<?php
-if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('TDOMF: You are not allowed to call this page directly.'); }
-
-/////////////////////////////////////////////////////////////
-// Code for the tdomf edit form menu (with drag and drop!) //
-/////////////////////////////////////////////////////////////
-
-// Hacked the drag and drop from the widget admin menu in WP2.2!
-
-// Only load edit scripts as needed!
-//
-function tdomf_load_edit_form_scripts() {
-  // Need these scripts for drag and drop but only on this page, not every page!
-  wp_enqueue_script( 'interface' );
-}
-add_action("load-".sanitize_title(__('TDO Mini Forms', 'tdomf'))."_page_tdomf_show_form_menu","tdomf_load_edit_form_scripts");
-
-
-// Stuff to do in the header of the page
-//
-function tdomf_form_admin_head() {
-   global $tdomf_form_widgets, $tdomf_form_widgets_control;
-   $form_id = tdomf_edit_form_form_id();
-   $mode = tdomf_generate_default_form_mode($form_id);
-   do_action('tdomf_control_form_start',$form_id,$mode);
-   $widgets = tdomf_filter_widgets($mode,$tdomf_form_widgets);
-   $widgets_control = tdomf_filter_widgets($mode,$tdomf_form_widgets_control);
-   if(preg_match('/tdomf_show_form_menu/',$_SERVER[REQUEST_URI])) {
+<<<<<<< .mine
+<?php
+if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('TDOMF: You are not allowed to call this page directly.'); }
+
+/////////////////////////////////////////////////////////////
+// Code for the tdomf edit form menu (with drag and drop!) //
+/////////////////////////////////////////////////////////////
+
+// Hacked the drag and drop from the widget admin menu in WP2.2!
+
+// Only load edit scripts as needed!
+//
+function tdomf_load_edit_form_scripts() {
+  // Need these scripts for drag and drop but only on this page, not every page!
+  wp_enqueue_script( 'interface' );
+}
+add_action("load-".sanitize_title(__('TDO Mini Forms', 'tdomf'))."_page_tdomf_show_form_menu","tdomf_load_edit_form_scripts");
+
+
+// Stuff to do in the header of the page
+//
+function tdomf_form_admin_head() {
+   global $tdomf_form_widgets, $tdomf_form_widgets_control;
+   $form_id = tdomf_edit_form_form_id();
+   $mode = tdomf_generate_default_form_mode($form_id);
+   do_action('tdomf_control_form_start',$form_id,$mode);
+   $widgets = tdomf_filter_widgets($mode,$tdomf_form_widgets);
+   $widgets_control = tdomf_filter_widgets($mode,$tdomf_form_widgets_control);
+   if(preg_match('/tdomf_show_form_menu/',$_SERVER['REQUEST_URI'])) {
 ?>
    <?php if(tdomf_wp23() && function_exists('wp_admin_css')) {
             wp_admin_css( 'css/widgets' ); 
@@ -620,3 +621,4 @@
 }
 
 ?>
+>>>>>>> .r169181
\ No newline at end of file
Index: admin/tdomf-edit-post-panel.php
===================================================================
--- admin/tdomf-edit-post-panel.php	(revision 169181)
+++ admin/tdomf-edit-post-panel.php	(working copy)
@@ -1,38 +1,38 @@
-<?php
-if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('TDOMF: You are not allowed to call this page directly.'); }
-
-////////////////////////////////////////////////////
-// Code for the tdomf edit panel on the post page //
-////////////////////////////////////////////////////
-
-# @TODO: nonce support
-
-// Grab a list of user ids of all users, to use in the drop-down menu
-//
-function tdomf_get_all_users() {
-    global $wpdb;
-    $query = "SELECT * ";
-    $query .= "FROM $wpdb->users ";
-    $query .= "ORDER BY ID DESC";
-    return $wpdb->get_results( $query );
-}
-
-// Grab a list of user ids of all users, to use in the drop-down menu
-//
-function tdomf_get_all_users_count() {
-    global $wpdb;
-    $query = "SELECT count(ID) ";
-    $query .= "FROM $wpdb->users ";
-    $query .= "ORDER BY ID DESC";
-    return intval($wpdb->get_var( $query ));
-}
-
-// Add the sidebar panel
-//
+<?php
+if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('TDOMF: You are not allowed to call this page directly.'); }
+
+////////////////////////////////////////////////////
+// Code for the tdomf edit panel on the post page //
+////////////////////////////////////////////////////
+
+# @TODO: nonce support
+
+// Grab a list of user ids of all users, to use in the drop-down menu
+//
+function tdomf_get_all_users() {
+    global $wpdb;
+    $query = "SELECT * ";
+    $query .= "FROM $wpdb->users ";
+    $query .= "ORDER BY ID DESC";
+    return $wpdb->get_results( $query );
+}
+
+// Grab a list of user ids of all users, to use in the drop-down menu
+//
+function tdomf_get_all_users_count() {
+    global $wpdb;
+    $query = "SELECT count(ID) ";
+    $query .= "FROM $wpdb->users ";
+    $query .= "ORDER BY ID DESC";
+    return intval($wpdb->get_var( $query ));
+}
+
+// Add the sidebar panel
+//
 function tdomf_edit_post_panel_admin_head() {
   global $post;
   // don't show on new post/page
-  if($post->ID > 0) {
+  if(is_object($post) && $post->ID > 0) {
       $edit_count = tdomf_get_edits(array('post_id' => $post->ID, 'count' => true));
       // Wordpress 2.5 introduced add_meta_box
       if(function_exists('add_meta_box')) {
